<template>
  <div class="payment-order-status">
    <div
      v-if="item.status === 'PAID'"
      class="payment-order-status --success"
    >
      <i class="icon checked"/> Оплачен
      <span>{{ statusDateFormat }}</span>
    </div>
    <div
      v-else-if="item.status === 'NOT_PAID'"
      class="payment-order-status"
      :class="[
        isLateness ? '--warning' : '--waiting'
      ]"
    >
      <template v-if="isLateness">
        <i class="icon alert"/> Не оплачен
        <span>опоздание {{ plural(latenessValue, ['день', 'дня', 'дней']) }}</span>
      </template>
      <template v-else-if="isWaitToday">
        Ожидается оплата<br>сегодня
      </template>
      <template v-else>
        Ожидается оплата<br>{{ statusDateFormat }}
      </template>
    </div>
    <div
      v-else-if="item.status === 'WAITING_FOR_SENDING'"
      class="payment-order-status --waiting"
    >
      Ожидает отправки
    </div>
  </div>
</template>

<script>
  import moment from 'moment'
  import { plural } from '@/helpers'

  export default {
    name: "blockStatus",
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      isLateness () {
        return Boolean(this.item.statusDate && this.latenessValue >= 1)
      },
      latenessValue () {
        return this.item.statusDate ? (moment().startOf('day').diff(moment(this.item.statusDate).startOf('day'), 'days')) : 0
      },
      isWaitToday () {
        return this.item.statusDate ? this.statusDateFormat === moment().format('DD.MM.YYYY') : false
      },
      statusDateFormat () {
        return this.item.statusDate ? moment(this.item.statusDate).format('DD.MM.YYYY') : ''
      }
    },
    methods: {
      plural
    }
  }
</script>

<style scoped lang="scss">
  .payment-order-status {
    font-size: 14px;
    line-height: 20px;
    /*text-align: right;*/
    letter-spacing: 0.2px;
    &.--success {
      color: $color-green-light;
    }
    &.--warning {
      color: $color-error;
    }
    &.--waiting {
      color: $color-grey-span;
    }
    div > span {
      display: block;
    }
  }
</style>
